[sword-devel] Building GnomeSword on Fedora 10

fred smith fredex at fcshome.stoneham.ma.us
Thu Dec 18 21:00:10 MST 2008


Trying to build GnomeSword (latest) from source on Fedora 10.

i've downloaded, built, and installed Sword 1.5.11.

I unpack gnomesword, run ./configure, and here's what I get:

$ ./configure
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether make sets $(MAKE)... (cached) yes
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for GNOME... no

so, what is it trying to tell me in that last line? That I don't have
Gnome on my system? Balderdash! :) I surely do!

It appears to be looking for GNOME.pc in the pkgconfig data. There
isn't one, sure enough. But there isn't one on my Centos box either,
and it runs a Gnome desktop too.

What do I need to install to make this work? Or other required

---- Fred Smith -- fredex at fcshome.stoneham.ma.us -----------------------------
                      The eyes of the Lord are everywhere, 
                    keeping watch on the wicked and the good.
----------------------------- Proverbs 15:3 (niv) -----------------------------
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 189 bytes
Desc: not available
URL: <http://www.crosswire.org/pipermail/sword-devel/attachments/20081218/980e80e9/attachment.bin>

More information about the sword-devel mailing list